Bug 1022552 - SCP inappropriate truncate error when copying to FIFO
SCP inappropriate truncate error when copying to FIFO
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openssh (Show other bugs)
5.9
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Petr Lautrbach
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 09:55 EDT by Konstantin Lepikhov
Modified: 2015-02-01 18:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-17 10:13:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixes the problem, it is an upstream fix (495 bytes, text/plain)
2013-10-23 10:02 EDT, Konstantin Lepikhov
no flags Details

  None (edit)
Description Konstantin Lepikhov 2013-10-23 09:55:32 EDT
Description of problem:
when copying a file to fifo over scp, remote side of scp sents back to the client error telling "truncate: Invalid argument"

Version-Release number of selected component (if applicable):
RHEL5.9
# rpm -qa|fgrep openssh
openssh-4.3p2-82.el5
openssh-clients-4.3p2-82.el5
openssh-server-4.3p2-82.el5

How reproducible:
always


Steps to Reproduce:
1. create a fifo on the remote side:
$ mkfifo testfifo

2. read from the fifo:
$ cat testfifo

3. send some file to remote fifo:
$ scp ~/tmp/input user@host:testfifo


Actual results:
$ scp ~/tmp/input user@host:testfifo
input                                                                                                                               100%  189     0.2KB/s   00:00
scp: testfifo: truncate: Invalid argument
$


Expected results:
$ scp ~/tmp/input user@host:testfifo
input                                                                                                                               100%  189     0.2KB/s   00:00
$


Additional info:
bug is fixed in an upstream version of openssh 4.7

attached patch fixes the problem and is the same as an upstream fix
Comment 1 Konstantin Lepikhov 2013-10-23 10:02:09 EDT
Created attachment 815425 [details]
fixes the problem, it is an upstream fix
Comment 2 Petr Lautrbach 2014-01-17 10:13:43 EST
This Bugzilla has been reviewed by Red Hat and is not planned on being
addressed in Red Hat Enterprise Linux 5, and therefore will be closed.
If this bug is critical to production systems, please contact your Red
Hat support representative and provide sufficient business
justification. Issue is already fixed in RHEL-6

Note You need to log in before you can comment on or make changes to this bug.